## Graphics

Graphics

## Synopsis

    #include <hippo/hippo-graphics.h>

    #define             HIPPO_TYPE_RECTANGLE
    enum                HippoOrientation;
    enum                HippoSide;
    enum                HippoGravity;
                        HippoRectangle;
    GType               hippo_rectangle_get_type            (void);
    gboolean            hippo_rectangle_intersect           (const HippoRectangle *src1,
                                                             const HippoRectangle *src2,
                                                             HippoRectangle *dest);
    gboolean            hippo_rectangle_equal               (const HippoRectangle *r1,
                                                             const HippoRectangle *r2);
    HippoRectangle*     hippo_rectangle_copy                (HippoRectangle *r);
    void                hippo_rectangle_free                (HippoRectangle *r);
    void                hippo_cairo_set_source_rgba32       (cairo_t *cr,
                                                             guint32 color);
    void                hippo_cairo_pattern_add_stop_rgba32 (cairo_pattern_t *pattern,
                                                             double offset,
                                                             guint32 color);

## Description

## Details

### HIPPO_TYPE_RECTANGLE

    #define HIPPO_TYPE_RECTANGLE (hippo_rectangle_get_type())

### enum HippoOrientation

    typedef enum
    {
        HIPPO_ORIENTATION_VERTICAL,
        HIPPO_ORIENTATION_HORIZONTAL
    } HippoOrientation;

### enum HippoSide

    typedef enum
    {
        HIPPO_SIDE_TOP,
        HIPPO_SIDE_BOTTOM,
        HIPPO_SIDE_LEFT,
        HIPPO_SIDE_RIGHT
    } HippoSide;

### enum HippoGravity

    typedef enum{
        HIPPO_GRAVITY_NORTH_WEST,
        HIPPO_GRAVITY_NORTH_EAST,
        HIPPO_GRAVITY_SOUTH_EAST,
        HIPPO_GRAVITY_SOUTH_WEST
    } HippoGravity;

### HippoRectangle

    typedef struct {
        int x;
        int y;
        int width;
        int height;
    } HippoRectangle;

### hippo_rectangle_get_type ()

    GType               hippo_rectangle_get_type            (void);

Returns : |

### hippo_rectangle_intersect ()

    gboolean            hippo_rectangle_intersect           (const HippoRectangle *src1,
                                                             const HippoRectangle *src2,
                                                             HippoRectangle *dest);

`src1` : |
`src2` : |
`dest` : |
Returns : |

### hippo_rectangle_equal ()

    gboolean            hippo_rectangle_equal               (const HippoRectangle *r1,
                                                             const HippoRectangle *r2);

`r1` : |
`r2` : |
Returns : |

### hippo_rectangle_copy ()

    HippoRectangle*     hippo_rectangle_copy                (HippoRectangle *r);

`r` : |
Returns : |

### hippo_rectangle_free ()

    void                hippo_rectangle_free                (HippoRectangle *r);

`r` : |

### hippo_cairo_set_source_rgba32 ()

    void                hippo_cairo_set_source_rgba32       (cairo_t *cr,
                                                             guint32 color);

`cr` : |
`color` : |

### hippo_cairo_pattern_add_stop_rgba32 ()

    void                hippo_cairo_pattern_add_stop_rgba32 (cairo_pattern_t *pattern,
                                                             double offset,
                                                             guint32 color);

`pattern` : |
`offset` : |
`color` : |